<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Http\Resources\MessagesResource;
use App\Models\Room;
use App\Models\Message;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class MessagesController extends Controller
{

    protected $users_result;

    public function search_rooms(Request $request)
    {
        if ($request->user_name) {
//            $user = \Auth::user();
//            $check = Room::where(['sender_id' => $id, 'receiver_id' => $user->id])->orWhere(['sender_id' => $user->id, 'receiver_id' => $id])->first();
            $users_in = User::where('name', 'like', "%$request->user_name%")->where('status', 'active')->where('id', '!=', \Auth::user()->id)->pluck('id');
            $this->users_result = $users_in;
            $rooms = Room::where(function ($query) {
                $query->where('receiver_id', \Auth::user()->id);
                $query->whereIn('sender_id', $this->users_result);
            })->orWhere(function ($query) {
                $query->where('sender_id', \Auth::user()->id);
                $query->whereIn('receiver_id', $this->users_result);
            })->get();
            $view_rooms = view('web.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        } else {
            $sender = Room::where('sender_id', '=', \Auth::user()->id)->whereHas('messages')->orderByDesc('created_at')->pluck('id');
            $receiver = Room::where('receiver_id', '=', \Auth::user()->id)->whereHas('messages')->orderByDesc('created_at')->pluck('id');
            $rooms_all = $sender->merge($receiver);
            $rooms = Room::whereIn('id', $rooms_all)->whereHas('messages')->OrderByDesc('updated_at')->get();

            $view_rooms = view('web.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        }
    }


    public function messages(Request $request, $id = null)
    {
        $user = \Auth::user();

        $seen = Message::where('receiver_id', \Auth::user()->id)->where('read', '=', 'false')->get();
        if (count($seen) != 0) {
            foreach ($seen as $seen_message) {
                $seen_message->read = 'true';
                $seen_message->update();
            }
        }

        if ($id != null) {
            $check_receiver = Room::where(['sender_id' => (integer)$id, 'receiver_id' => $user->id])->first();
            $check_sender = Room::where(['sender_id' => $user->id, 'receiver_id' => (integer)$id])->first();
            if ($check_sender == null && $check_receiver == null) {
                $room_in = new Room();
                $room_in->sender_id = $user->id;
                $room_in->receiver_id = $id;
                $room_in->name = uniqid();
                $room_in->status = 'open';
                $room_in->save();
            }
        }
        $sender = Room::where('sender_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');
        if (isset($check_receiver)) {
            $check_receiver_in = $check_receiver->has('messages')->count();
            if ($check_receiver_in == 0) {
                $receiver_in = Room::where('receiver_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');
                $id_in = $check_receiver->id;
                $receiver_in[] = $id_in;
                $receiver = $receiver_in;
            } else {
                $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');
            }
        } else {
            $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');
        }
        if ($sender->count() > 0) {
            $all_rooms = $sender->merge($receiver);
            $rooms = Room::whereIn('id', $all_rooms)->whereHas('messages')->orderByDesc('updated_at')->get();
        } else {
            $all_rooms = $receiver;
            $rooms = Room::whereIn('id', $all_rooms)->whereHas('messages')->orderByDesc('updated_at')->get();
        }
        if ($rooms->count() > 0) {
            $messages = Message::where('room_id', $rooms[0]['id'])->get();
        } else {
            $messages = [];
        }
        if (isset($room_in)) {
            return view('web.messages.all_chat', compact('rooms', 'messages', 'room_in'));
        } else {
            $room_in = null;
            return view('web.messages.all_chat', compact('rooms', 'messages', 'room_in'));
        }
    }

//    public function all_rooms(Request $request)
//    {
//
//        return view('web.messages.rooms', compact('data'));
//    }

    public function send_message(Request $request)
    {
        $user = \Auth::user();

        $seen = Message::where('receiver_id', \Auth::user()->id)->where('read', '=', 'false')->get();
        if (count($seen) != 0) {
            foreach ($seen as $seen_message) {
                $seen_message->read = 'true';
                $seen_message->update();
            }
        }

        $room = Room::find($request->room_id);

        $sms = $request->message;
        if ($sms != null) {
            $message = new Message();
            $message->body = $sms;
            $message->room_id = $room->id;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $user->id == $room->sender->id ? $room->receiver->id : $room->sender->id;
            $message->save();
            $room_update = Room::find($room->id);
            $room_update->updated_at = Carbon::now();
            $room_update->update();
        }
        $sender = Room::where('sender_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');
        $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('messages')->orderByDesc('updated_at')->pluck('id');

        $rooms = $sender->merge($receiver)->toArray(); // 1234
        $rooms[] = $room->id;
        $dd = array_unique($rooms);
        $rooms = Room::whereIn('id', $dd)->whereHas('messages')->orderByDesc('updated_at')->get();

        $messages = MessagesResource::collection($room->messages);
        $view_messages = view('web.messages.chat', compact('messages'))->render();
        $view_rooms = view('web.messages.rooms', compact('rooms'))->render();

        return response()->json(['html_messages' => $view_messages, 'html_rooms' => $view_rooms]);

    }

    public function send_out_message(Request $request)
    {
        $this->validate($request, [
            'message' => 'required',
            'user_id' => 'required'
        ]);
        $user = \Auth::user();
        $check_receiver = Room::where(['sender_id' => $request->user_id, 'receiver_id' => $user->id])->first();
        $check_sender = Room::where(['sender_id' => $user->id, 'receiver_id' => $request->user_id])->first();
        if ($check_sender == null && $check_receiver == null) {
            $room_in = new Room();
            $room_in->sender_id = $user->id;
            $room_in->receiver_id = $request->user_id;
            $room_in->name = uniqid();
            $room_in->status = 'open';
            $room_in->save();
            $message = new Message();
            $message->body = $request->message;
            $message->room_id = $room_in->id;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $request->user_id;
            $message->save();
        } else {
            if (isset($check_sender)) {
                $old_room = $check_sender->id;
            } else {
                $old_room = $check_receiver->id;
            }
            $message = new Message();
            $message->body = $request->message;
            $message->room_id = $old_room;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $request->user_id;
            $message->save();
            $room_update = Room::find($old_room);
            $room_update->updated_at = Carbon::now();
            $room_update->update();
        }
        return redirect()->back()->with('message', \Lang::get('data.send_message_in'));
    }
//    public function all_messages(Request $request)
//    {
//        $room = Room::find($request->room_id);
//        $messages = MessagesResource::collection($room->messages);
//        $view = view('web.messages.chat', compact('messages'))->render();
//        return response()->json(['html' => $view]);
//    }


}
