<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Banks extends Model
{
    protected $table = 'banks';
    protected $fillable = ['bank_name', 'image', 'account_number', 'iban_number', 'status', 'account_name'];
    protected $casts = ['bank_name' => 'json'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/banks/';
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/banks/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

    public function deleteImage()
    {
        @unlink(public_path('images/banks/' . $this->attributes['image']));

    }

    public function subscriptions()
    {
        return $this->hasMany(Subscription::class, 'bank_id');
    }
}
