<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('title')->nullable();
            $table->unsignedBigInteger('category_id')->nullable();
            $table->unsignedBigInteger('city_id');
            $table->string('mobile')->nullable();
            $table->enum('hide_mobile', ['true', 'false'])->nullable();
            $table->enum('ad_type', ['buy', 'waiver'])->nullable();
            $table->string('year')->nullable();
            $table->enum('car_status', ['used', 'new', 'accident'])->nullable();
            $table->string('installment_destination')->nullable();
            $table->enum('fetis', ['manual', 'automatic'])->nullable();
            $table->enum('fuel', ['gasoline', 'hybrid', 'diesel'])->nullable();
            $table->enum('double', ['true', 'false'])->nullable();
            $table->string('km')->nullable();
            $table->enum('determine_price', ['true', 'false'])->nullable();
            $table->string('price')->nullable();
            $table->text('detail')->nullable();
            $table->string('lat')->nullable();
            $table->string('lng')->nullable();
            $table->integer('views')->nullable();
            $table->enum('status', ['active', 'not_active'])->nullable()->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
