@extends('web.layouts.master')


@section('contents')


    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">@lang('data.contact_us')</h3>
        </div>
    </section>
    <!-- end page title -->

    <!-- start brands  -->
    <section class="commission-block licenses-block">
        <div class="container">
            <div class="main-content grey-bg">
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="title">
                            <h3 class="no-psedu wow fadeInDown">@lang('data.contact_us')</h3>
                        </div>
                        <!-- start license form box -->
                        <div class="border-box wow fadeInUp">
                            <h5 class="sub-title">تواصل معنا </h5>
                            <form method="post" action="{{route('contact_store')}}" enctype="multipart/form-data"
                                  class="needs-validation transfering-form" novalidate>
                                @if (session()->has('error'))
                                    <div style="text-align: center" class="alert alert-success">
                                        {{ session('error') }}
                                    </div>
                                @endif
                                @csrf
                                <div class="form-group">
                                    <label for="">البريد الألكترونى</label>
                                    <input name="email" value="{{old('email')}}" type="email" maxlength="191"
                                           class="form-control" placeholder="@lang('data.email')" required>
                                    <div class="invalid-feedback">
                                        {{trans('data.plz_enter_email')}}
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="">@lang('data.call_reason')</label>
                                    <input type="text" name="reason" value="{{old('reason')}}" maxlength="191"
                                           class="form-control" placeholder="{{trans('data.reason')}}" required>
                                    <div class="invalid-feedback">
                                        @lang('data.plz_enter_reason')
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="">@lang('data.mobile')</label>
                                    <input type="text" name="mobile" value="{{old('mobile')}}" maxlength="191"
                                           class="form-control"
                                           placeholder="@lang('data.mobile')" required>
                                    <div class="invalid-feedback">
                                        @lang('data.plz_enter_mobile')
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="">@lang('data.reason_image')</label>
                                    <div class="item-upload white-bg">
                                        <div class="item-edit">
                                            <div class="item-preview">
                                                <img class="img-fluid" id="previewImage"
                                                     src="{{asset('web/img/dynamic/icons/photo.png')}}"
                                                     alt="your image"/>
                                            </div>
                                            <input type='file' name="image" id="file" class="btn-inputfile"
                                                   accept="image/*"/>
                                            <label for="file"></label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="">@lang('data.reason_notes')</label>
                                    <textarea name="body" class="form-control" required
                                              placeholder="الملاحظات">{{old('body')}}</textarea>
                                    <div class="invalid-feedback">
                                        @lang('data.plz_enter_reason_notes')
                                    </div>
                                </div>
                                <div class="col-12 center">
                                    <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                        @lang('data.send_contact')
                                    </button>
                                </div>
                            </form>
                        </div>
                        <!-- end license form box -->
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->


@stop
