@extends('web.layouts.master')
@section('title' , trans('data.year_subscription'))
@section('contents')
    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">@lang('data.year_subscription')</h3>
        </div>
    </section>
    <!-- end page title -->


    <!-- start brands  -->
    <section class="calc-block">
        <div class="container">
            <div class="main-content">
                <div class="title">
                    <h3 class="no-psedu wow fadeInDown">@lang('data.year_subscription')</h3>
                </div>
                <p class="note wow fadeInUp"> @lang('data.year_amount') {{$setting->year_subscription}}
                </p>
                <!-- start commission box -->

                <!-- start commission box -->

                <!-- start commission box -->
                <!-- start commission box -->

                <!-- start commission box -->
                <!-- start commission box -->
                <div class="border-box wow fadeInUp">
                    <h5 class="sub-title">@lang('data.year_subscription')</h5>
                    <p class="feature">
                        @lang('data.subscription_info')
                    </p>
                    <div class="row all-transfering">
                        @foreach($banks as $bank)
                            <div class="col-md-4 col-lg-4">
                                <div class="transfer-block">
                                    <div class="bank-logo">
                                        <img src="{{$bank->image}}" alt="bank">
                                    </div>
                                    <div class="transfer-body">
                                        <h5 class="bank-title">{{$bank->bank_name[App::getLocale()]}}: </h5>
                                        <p>
                                            <span class="black-color">@lang('data.account_number')</span>
                                            <span class="font-color">{{$bank->account_number}}</span>
                                        </p>
                                        <p>
                                            <span class="black-color">@lang('data.iban') </span>
                                            <span class="font-color">{{$bank->iban_number}}</span>
                                        </p>
                                        <p>
                                            <span class="black-color">@lang('data.account_name')</span>
                                            <span class="font-color">{{$bank->account_name}}</span>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
                <!-- start commission box -->
                <!-- start commission box -->
                <div class="border-box wow fadeInUp">
                    <h5 class="sub-title">@lang('data.subscription_form')</h5>
                    {{--   session messages   --}}
                    @if (session()->has('message'))
                        <div style="text-align: center" class="alert alert-success">
                            {{ session('message') }}
                        </div>
                    @elseif(session()->has('error'))
                        <div style="text-align: center" class="alert alert-danger">
                            {{ session('error') }}
                        </div>
                    @endif
                    <form method="post" action="{{route('payment_member_ship')}}" enctype="multipart/form-data"
                          class="needs-validation transfering-form" novalidate>
                        @csrf
                        <div class="form-group">
                            <label for="">@lang('data.full_name')</label>
                            <input type="text" name="full_name" maxlength = "191" value="{{old('full_name')}}" class="form-control" placeholder="@lang('data.full_name')"
                                   required>
                            <div class="invalid-feedback">
                            </div>
                            @if ($errors->has('full_name'))
                                <small class="text-danger">{{ $errors->first('full_name') }}</small>
                            @endif
                        </div>
                        <div class="form-group">
                            <label for="">@lang('data.subscription_amount')</label>
                            <input type="number" name="amount" disabled maxlength = "191" value="{{$setting->year_subscription}}" class="form-control" placeholder="@lang('data.subscription_amount')" required>
                            <div class="invalid-feedback">
                            </div>
                            @if ($errors->has('amount'))
                                <small class="text-danger">{{ $errors->first('amount') }}</small>
                            @endif
                        </div>
                        <div class="form-group">
                            <label for="">@lang('data.to_bank')</label>
                            <select name="bank_id" class="custom-select  form-control" required>
                                @foreach($banks as $bank)
                                    <option value="{{$bank->id}}">{{$bank->bank_name[App::getLocale()]}}</option>
                                @endforeach
                            </select>

                            @if ($errors->has('bank_id'))
                                <small class="text-danger">{{ $errors->first('bank_id') }}</small>
                            @endif
                        </div>
                        <div class="form-group">
                            <label for="">@lang('data.transfer_date')</label>
                            <input type="date" name="transfer_date" value="{{old('transfer_date')}}" class="form-control"
                                   required>

                            @if ($errors->has('transfer_date'))
                                <small class="text-danger">{{ $errors->first('transfer_date') }}</small>
                            @endif
                        </div>

                        <div class="form-group">
                            <label for="">@lang('data.membership_mobile')</label>
                            <input type="tel" name="mobile" {{old('mobile')}} class="form-control" maxlength = "191"
                                   placeholder="@lang('data.membership_mobile')" required>
                            <div class="invalid-feedback">
                                @lang('data.membership_mobile')                            </div>
                            @if ($errors->has('mobile'))
                                <small class="text-danger">{{ $errors->first('mobile') }}</small>
                            @endif
                        </div>
                        <div class="form-group">
                            <label for="">@lang('data.bank_image')</label>
                            <div class="item-upload white-bg">
                                <div class="item-edit">
                                    <div class="item-preview">
                                        <img class="img-fluid" id="previewImage"
                                             src="{{asset('web/img/dynamic/icons/photo.png')}}"
                                             alt="your image"/>
                                    </div>
                                    <input type='file' name="image" id="file" class="btn-inputfile"
                                           accept="image/*"/>
                                    <label for="file"></label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="">@lang('data.membership_notes')</label>
                            <textarea name="details" class="form-control">{{old('details')}}</textarea>
                            <p class="note mt-2">@lang('data.membership_confirm')</p>
                        </div>
                        <div class="col-12 center">
                            <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                @lang('data.send_membership')
                            </button>
                        </div>
                    </form>
                </div>
                <!-- start commission box -->
            </div>
        </div>
    </section>
    <!-- end brands  -->

@stop

@section('script')
    <script>


        $("#commission").keyup(function (e) {

            var amount = $("input[name=amount]").val();

            console.log(amount);

            $.ajax({
                type: 'POST',
                url: '{{route('calc')}}',
                data: {amount: amount},
                success: function (data) {

                    $("input[name=in_calc]").val(data.data);
                    console.log(data.data);
                }
            });

        });


    </script>

@endsection
